Page MenuHomePhabricator

[Task] Use ViewController for editing in statementview
Closed, ResolvedPublic

Description

In T117689, we introduced ViewController, but it's unused now. All our views with edit mode should use it. Let's start with statementview.

Event Timeline

adrianheine raised the priority of this task from to Normal.
adrianheine updated the task description. (Show Details)
adrianheine added a project: Wikidata.
adrianheine added a subscriber: adrianheine.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 16 2016, 12:59 PM
D3r1ck01 claimed this task.Mar 3 2016, 8:29 AM

Change 274654 had a related patch set uploaded (by D3r1ck01):
Use of ViewController for editing in statementview

https://gerrit.wikimedia.org/r/274654

Change 274654 abandoned by D3r1ck01:
Use of ViewController for editing in statementview

Reason:
To be worked on later

https://gerrit.wikimedia.org/r/274654

D3r1ck01 removed D3r1ck01 as the assignee of this task.Mar 4 2016, 2:00 PM
D3r1ck01 added a subscriber: D3r1ck01.

Change 298751 had a related patch set uploaded (by Adrian Heine):
Switch statementview to ControllerViewFactory

https://gerrit.wikimedia.org/r/298751

Change 298751 merged by jenkins-bot:
Switch statementview to ControllerViewFactory

https://gerrit.wikimedia.org/r/298751

FYI: this change broke DuplicateReferences (again), see T142203.

Jonas closed this task as Resolved.Oct 12 2016, 8:33 AM